<script>
  function doUpdate() {
    if( window.confirm('パスワードを変更します。\nよろしいですか？') ){
      $(".btn-reg-nomsg").trigger("click");
    }
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-index").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       $(".btn-reg-before").trigger("click");
   });
    //　F10
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    {if $isNoData}
    alert('該当データがありません。');
    {/if}
    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
    } else {  //表示後
    }
    //=== header ===

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg-nomsg", function(e){
      alert("変更しました");
      {if $header.p_mode == '1'}
        $("#detail").find(".chgnewpas").focus();
      {else}
        location.replace("../menu/menu01.php");
      {/if}
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frmh = $(this).closest(".contents").find(".header");
      var frm = $(".detail");
      var chgcd = common.getValue(frm.find(".chgcd"));
      if (stringUtil.isEmpty(chgcd)) {
        return false;
      }

      var newpas = common.getValue(frm.find(".chgnewpas"));
      var newpas2 = common.getValue(frm.find(".chgnewpas2"));
      var valnm;
      common.clearFormError(frm);
      if (common.getValue(frmh.find(".p_mode")) != '1') {
        if (common.getValue(frm.find(".chgpas")) != common.getValue(frm.find(".nowchgpas"))) {
          alert('現在のパスワードが違います。\n現在のパスワードを確認してください。');
          frm.find(".nowchgpas").focus();
          return false;
        }
      }
      valnm = Number(common.getValue(frmh.find(".pketa")));
      if (common.getValue(frmh.find(".pkeflg")) == '0') {
        if (newpas.length < valnm) {
          alert('パスワードの桁数が不足しています。\n'+valnm+'桁以上の英数字を入力してください。');
          frm.find(".chgnewpas").focus();
          return false;
        }
      }

      if (!stringUtil.isEmpty(newpas)) {
        if (newpas != newpas2) {
          alert('パスワード(確認)と一致していません。')
          frm.find(".chgnewpas").focus();
          return false;
        }
        if (common.getValue(frmh.find(".preflg")) == '0') {
          var sendData = {};
          sendData["chgcd"] = chgcd;
          sendData["precycl"] = common.getValue(frmh.find(".precycl"));
          sendData["newpas"] = newpas;
          common.postData(
            "./doKakutei.php"
            , sendData
            , function (data,options) {
              // 特殊処理があれば
              var cnt = Number(options.cnt);
              if (cnt>0) {
                alert('過去に使用されているパスワードは使用できません。');
                frm.find(".chgnewpas").focus();
              } else {
                doUpdate();
              }
            }
            , function (error) {
              alert(error.msg);
              $(".Func9").focus();
            }
          );
        } else {
          doUpdate();
        }
      }
    });


    //=== header ===

    //=== body ===

    //=== footer ===

    //タイトル
    {if $header.p_mode == "1"}
      common.setValue($("#topPrgTitle"), "[AI908X]パスワード強制変更");
      $("#NowPassShow").addClass("hide");
      $("#detail").find(".chgnewpas").focus();
    {else}
    $("#NowPassShow").removeClass("hide");
      $("#detail").find(".nowchgpas").focus();
    {/if}

  });

</script>
